Skip to main content
POST
/
v1
/
workflows
/
quick-create
Quick create workflow
curl --request POST \
  --url https://app.galaxy.ai/api/v1/workflows/quick-create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "requestFields": [
    {
      "name": "<string>",
      "type": "text",
      "value": "<unknown>"
    }
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "thumbnailUrl": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "type": "<string>",
      "position": {
        "x": 123,
        "y": 123
      },
      "data": "<unknown>"
    }
  ],
  "edges": [
    {
      "id": "<string>",
      "source": "<string>",
      "target": "<string>",
      "sourceHandle": "<string>",
      "targetHandle": "<string>"
    }
  ],
  "updatedAt": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Workflow name

Required string length: 1 - 120
description
string

Workflow description

Maximum string length: 5000
requestFields
object[]

Input fields for the Request node. Each field becomes a user-fillable input when the workflow runs.

Maximum array length: 50

Response

Successful response

id
string
required
name
string
required
description
string | null
required
thumbnailUrl
string | null
required
nodes
object[]
required
edges
object[]
required
updatedAt
string
required
type
string